Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5117)
@@ -7449,48 +7449,48 @@
   INTEGER i, k, j
 #ifdef ISO
-      integer ixt
+      INTEGER ixt
 #endif
 
 #ifdef DIAGISO
-      real water(nloc,nd)
-      real xtwater(ntraciso,nloc,nd)
-      real qp(nloc,nd),xtp(ntraciso,nloc,nd)
-      real evap(nloc,nd),xtevap(ntraciso,nloc,nd)
-      real wdtrainA(nloc,nd)
-      real xtwdtrainA(ntraciso,nloc,nd)
-      real clw(nloc,nd)
-      real xtclw(ntraciso,nloc,nd)
-      real fq_detrainement(nloc,nd)
-      real f_detrainement(nloc,nd)
-      real q_detrainement(nloc,nd)
-      real fq_ddft(nloc,nd)
-      real fq_fluxmasse(nloc,nd)
-      real fq_evapprecip(nloc,nd)
-      real fxt_detrainement(ntraciso,nloc,nd)
-      real xt_detrainement(ntraciso,nloc,nd)
-      real fxt_ddft(ntraciso,nloc,nd)
-      real fxt_fluxmasse(ntraciso,nloc,nd)
-      real fxt_evapprecip(ntraciso,nloc,nd)
-
-      real water1(len,nd)
-      real xtwater1(ntraciso,len,nd)
-      real qp1(len,nd),xtp1(ntraciso,len,nd)
-      real evap1(nloc,nd)
-      real xtevap1(ntraciso,nloc,nd)
-      real wdtrainA1(len,nd)
-      real xtwdtrainA1(ntraciso,len,nd)
-      real clw1(len,nd)
-      real xtclw1(ntraciso,len,nd)
-      real fq_detrainement1(len,nd)
-      real f_detrainement1(len,nd)
-      real q_detrainement1(len,nd)
-      real fq_ddft1(len,nd)
-      real fq_fluxmasse1(len,nd)
-      real fq_evapprecip1(len,nd)
-      real fxt_detrainement1(ntraciso,len,nd)
-      real xt_detrainement1(ntraciso,len,nd)
-      real fxt_ddft1(ntraciso,len,nd)
-      real fxt_fluxmasse1(ntraciso,len,nd)
-      real fxt_evapprecip1(ntraciso,len,nd)
+      REAL water(nloc,nd)
+      REAL xtwater(ntraciso,nloc,nd)
+      REAL qp(nloc,nd),xtp(ntraciso,nloc,nd)
+      REAL evap(nloc,nd),xtevap(ntraciso,nloc,nd)
+      REAL wdtrainA(nloc,nd)
+      REAL xtwdtrainA(ntraciso,nloc,nd)
+      REAL clw(nloc,nd)
+      REAL xtclw(ntraciso,nloc,nd)
+      REAL fq_detrainement(nloc,nd)
+      REAL f_detrainement(nloc,nd)
+      REAL q_detrainement(nloc,nd)
+      REAL fq_ddft(nloc,nd)
+      REAL fq_fluxmasse(nloc,nd)
+      REAL fq_evapprecip(nloc,nd)
+      REAL fxt_detrainement(ntraciso,nloc,nd)
+      REAL xt_detrainement(ntraciso,nloc,nd)
+      REAL fxt_ddft(ntraciso,nloc,nd)
+      REAL fxt_fluxmasse(ntraciso,nloc,nd)
+      REAL fxt_evapprecip(ntraciso,nloc,nd)
+
+      REAL water1(len,nd)
+      REAL xtwater1(ntraciso,len,nd)
+      REAL qp1(len,nd),xtp1(ntraciso,len,nd)
+      REAL evap1(nloc,nd)
+      REAL xtevap1(ntraciso,nloc,nd)
+      REAL wdtrainA1(len,nd)
+      REAL xtwdtrainA1(ntraciso,len,nd)
+      REAL clw1(len,nd)
+      REAL xtclw1(ntraciso,len,nd)
+      REAL fq_detrainement1(len,nd)
+      REAL f_detrainement1(len,nd)
+      REAL q_detrainement1(len,nd)
+      REAL fq_ddft1(len,nd)
+      REAL fq_fluxmasse1(len,nd)
+      REAL fq_evapprecip1(len,nd)
+      REAL fxt_detrainement1(ntraciso,len,nd)
+      REAL xt_detrainement1(ntraciso,len,nd)
+      REAL fxt_ddft1(ntraciso,len,nd)
+      REAL fxt_fluxmasse1(ntraciso,len,nd)
+      REAL fxt_evapprecip1(ntraciso,len,nd)
 #endif
 
@@ -7618,14 +7618,14 @@
 
 ! local
-      integer i,k    
+      INTEGER i,k
 !      real hp_bak(nloc,nd)
 !      real ep_bak(nloc,nd)
-      real m_loc(nloc,nd)
-      real sig_loc(nloc,nd)
-      real w0_loc(nloc,nd)
-      integer iflag_loc(nloc)
-      real cape(nloc)
+      REAL m_loc(nloc,nd)
+      REAL sig_loc(nloc,nd)
+      REAL w0_loc(nloc,nd)
+      INTEGER iflag_loc(nloc)
+      REAL cape(nloc)
         
-        if (coef_epmax_cape>1e-12) THEN
+        IF (coef_epmax_cape>1e-12) THEN
         ! il faut calculer la cape: on fait un calcule simple car tant qu'on ne
         ! connait pas ep, on ne connait pas les melanges, ddfts etc... qui sont
@@ -7680,5 +7680,5 @@
       do k=minorig+1,nl
        do i=1,ncum
-        if((k>=icb(i)).and.(k<=inb(i)))THEN
+        IF((k>=icb(i)).AND.(k<=inb(i)))THEN
           hp(i, k) = hnk(i) + (lv(i,k)+(cpd-cpv)*t(i,k)+frac(i,k)*lf(i,k))* &
                               ep(i, k)*clw(i, k)
@@ -7700,6 +7700,6 @@
 !      do i=1,ncum  
 !       do k=1,nl
-!        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).or. &
-!            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).and. &
+!        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).OR. &
+!            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).AND. &
 !            (ep(i,k)-ep_bak(i,k).lt.1e-4))) THEN
 !           WRITE(*,*) 'i,k=',i,k
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5117)
@@ -34,8 +34,8 @@
   ! **************************************************************
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
-    use isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
+    USE isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
 #ifdef ISOVERIF
-    use isotopes_verif_mod
+    USE isotopes_verif_mod
 #endif
 #endif
@@ -116,5 +116,5 @@
   INTEGER i, k, nn, j
 #ifdef ISO  
-      integer ixt  
+      INTEGER ixt
 #endif
 
@@ -181,5 +181,5 @@
   ! AC!       nn=0
   ! AC!      do 101 i=1,len
-  ! AC!      IF(iflag1(i).eq.0)THEN
+  ! AC!      IF(iflag1(i).EQ.0)THEN
   ! AC!       nn=nn+1
   ! AC!       tra(nn,k,j)=tra1(i,k,j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5117)
@@ -103,12 +103,12 @@
 
 #ifdef ISO
-      real, DIMENSION (ntraciso,nloc), INTENT (IN)      :: xtprecip
-      real, DIMENSION (ntraciso,nloc,nd), INTENT (IN)   :: fxt
-      real, DIMENSION(ntraciso,nloc,nd), INTENT (IN)   ::   fxtd
-      real, DIMENSION(ntraciso,nloc,nd+1), INTENT (IN)   ::   xtvprecip
-      real, DIMENSION(ntraciso,nloc,nd+1), INTENT (IN)   ::   xtvprecipi
-      real xtevap(ntraciso,nloc,nd)
-      real xtwdtraina(ntraciso,nloc,nd)
-      real xtclw(ntraciso,nloc,nd)
+      REAL, DIMENSION (ntraciso,nloc), INTENT (IN)      :: xtprecip
+      REAL, DIMENSION (ntraciso,nloc,nd), INTENT (IN)   :: fxt
+      REAL, DIMENSION(ntraciso,nloc,nd), INTENT (IN)   ::   fxtd
+      REAL, DIMENSION(ntraciso,nloc,nd+1), INTENT (IN)   ::   xtvprecip
+      REAL, DIMENSION(ntraciso,nloc,nd+1), INTENT (IN)   ::   xtvprecipi
+      REAL xtevap(ntraciso,nloc,nd)
+      REAL xtwdtraina(ntraciso,nloc,nd)
+      REAL xtclw(ntraciso,nloc,nd)
 #endif
 
@@ -152,8 +152,8 @@
 #ifdef ISO
   REAL, DIMENSION (ntraciso,len), INTENT (OUT)                :: xtprecip1
-  real, DIMENSION (ntraciso,len,nd), INTENT (OUT)             :: fxt1
-  real, DIMENSION (ntraciso,len,nd), INTENT (OUT)             :: fxtd1
-  real, DIMENSION (ntraciso,len,nd+1), INTENT (OUT)           :: xtvprecip1
-  real, DIMENSION (ntraciso,len,nd+1), INTENT (OUT)           :: xtvprecipi1
+  REAL, DIMENSION (ntraciso,len,nd), INTENT (OUT)             :: fxt1
+  REAL, DIMENSION (ntraciso,len,nd), INTENT (OUT)             :: fxtd1
+  REAL, DIMENSION (ntraciso,len,nd+1), INTENT (OUT)           :: xtvprecip1
+  REAL, DIMENSION (ntraciso,len,nd+1), INTENT (OUT)           :: xtvprecipi1
   REAL, DIMENSION (ntraciso,len, nd), INTENT (OUT)            :: xtevap1
   REAL, DIMENSION (ntraciso,len, nd), INTENT (OUT)            :: xtwdtrainA1
@@ -167,40 +167,40 @@
 
 #ifdef ISO
-      integer ixt
+      INTEGER ixt
 #endif
 
 #ifdef DIAGISO
-      real water(nloc,nd)
-      real xtwater(ntraciso,nloc,nd)
-      real qp(nloc,nd),xtp(ntraciso,nloc,nd)
-      real fq_detrainement(nloc,nd)
-      real f_detrainement(nloc,nd)
-      real q_detrainement(nloc,nd)
-      real xt_detrainement(ntraciso,nloc,nd)
-      real fq_ddft(nloc,nd)
-      real fq_fluxmasse(nloc,nd)
-      real Amp_diag(nloc,nd)
-      real tg_save(nloc,nd) ! temperature de cond pour les isos
-      real fq_evapprecip(nloc,nd)
-      real fxt_detrainement(ntraciso,nloc,nd)
-      real fxt_ddft(ntraciso,nloc,nd)
-      real fxt_fluxmasse(ntraciso,nloc,nd)
-      real fxt_evapprecip(ntraciso,nloc,nd)
-      real m(nloc,nd)
-
-      real water1(len,nd)
-      real xtwater1(ntraciso,len,nd)
-      real qp1(len,nd),xtp1(ntraciso,len,nd)
-      real fq_detrainement1(len,nd)
-      real f_detrainement1(len,nd)
-      real q_detrainement1(len,nd)
-      real xt_detrainement1(ntraciso,len,nd)
-      real fq_ddft1(len,nd)
-      real fq_fluxmasse1(len,nd)
-      real fq_evapprecip1(len,nd)
-      real fxt_detrainement1(ntraciso,len,nd)
-      real fxt_ddft1(ntraciso,len,nd)
-      real fxt_fluxmasse1(ntraciso,len,nd)
-      real fxt_evapprecip1(ntraciso,len,nd)
+      REAL water(nloc,nd)
+      REAL xtwater(ntraciso,nloc,nd)
+      REAL qp(nloc,nd),xtp(ntraciso,nloc,nd)
+      REAL fq_detrainement(nloc,nd)
+      REAL f_detrainement(nloc,nd)
+      REAL q_detrainement(nloc,nd)
+      REAL xt_detrainement(ntraciso,nloc,nd)
+      REAL fq_ddft(nloc,nd)
+      REAL fq_fluxmasse(nloc,nd)
+      REAL Amp_diag(nloc,nd)
+      REAL tg_save(nloc,nd) ! temperature de cond pour les isos
+      REAL fq_evapprecip(nloc,nd)
+      REAL fxt_detrainement(ntraciso,nloc,nd)
+      REAL fxt_ddft(ntraciso,nloc,nd)
+      REAL fxt_fluxmasse(ntraciso,nloc,nd)
+      REAL fxt_evapprecip(ntraciso,nloc,nd)
+      REAL m(nloc,nd)
+
+      REAL water1(len,nd)
+      REAL xtwater1(ntraciso,len,nd)
+      REAL qp1(len,nd),xtp1(ntraciso,len,nd)
+      REAL fq_detrainement1(len,nd)
+      REAL f_detrainement1(len,nd)
+      REAL q_detrainement1(len,nd)
+      REAL xt_detrainement1(ntraciso,len,nd)
+      REAL fq_ddft1(len,nd)
+      REAL fq_fluxmasse1(len,nd)
+      REAL fq_evapprecip1(len,nd)
+      REAL fxt_detrainement1(ntraciso,len,nd)
+      REAL fxt_ddft1(ntraciso,len,nd)
+      REAL fxt_fluxmasse1(ntraciso,len,nd)
+      REAL fxt_evapprecip1(ntraciso,len,nd)
 #endif
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5117)
@@ -132,10 +132,10 @@
 
 #ifdef ISO
-      integer ixt
-      real xtrti(ntraciso)
-      real xtres(ntraciso)
-      real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
-      real qent_diag(nloc,nd,nd)
-      real xtent_diag(ntraciso,nloc,nd,nd)
+      INTEGER ixt
+      REAL xtrti(ntraciso)
+      REAL xtres(ntraciso)
+      REAL zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
+      REAL qent_diag(nloc,nd,nd)
+      REAL xtent_diag(ntraciso,nloc,nd,nd)
 #endif   
 
@@ -295,7 +295,7 @@
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)
 
-         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
-          if (sij(il,i,j).gt.0.0) THEN
+         IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+           (j.ge.(icb(il)-1)).AND.(j.le.inb(il))) THEN
+          IF (sij(il,i,j).gt.0.0) THEN
            do ixt=1,ntraciso
             xtrti(ixt)=xtta(ixt,il,i-1)-ep(il,i)*xtclw(ixt,il,i) 
@@ -304,5 +304,5 @@
            enddo ! do ixt=1,ntraciso 
 #ifdef ISOVERIF 
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(xtta(iso_eau,il,i-1), &
                 qta(il,i-1),'cv3p_mixing 256a')
@@ -318,5 +318,5 @@
 #endif           
 #endif           
-           if (qent_diag(il,i,j).lt.elij(il,i,j)) THEN
+           IF (qent_diag(il,i,j).lt.elij(il,i,j)) THEN
              do ixt=1,ntraciso
                xtent_diag(ixt,il,i,j)=  xtent_diag(ixt,il,i,j) &
@@ -329,7 +329,7 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
-           if (iso_verif_egalite_nostop(xtent_diag(iso_eau,il,i,j), &
-                qent_diag(il,i,j),'cv3p_mixing 258').eq.1) THEN
+          IF (iso_eau.gt.0) THEN
+           IF (iso_verif_egalite_nostop(xtent_diag(iso_eau,il,i,j), &
+                qent_diag(il,i,j),'cv3p_mixing 258').EQ.1) THEN
              WRITE(*,*) 'il,i,j=',il,i,j
              WRITE(*,*) 'qent_diag(il,i,j),elij(il,i,j)=', &
@@ -353,5 +353,5 @@
             enddo !do ixt=1,ntraciso
          endif  !IF(sij(il,i,j).gt.0.0)THEN
-        else  !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        else  !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
             ! ajout le 4 mai 2012: initialiser au cas où
             elij(il,i,j)=0.0 
@@ -360,5 +360,5 @@
               xtent_diag(ixt,il,i,j)=xt(ixt,il,i)
             enddo !do ixt=1,ntraciso
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
 #ifdef ISOVERIF
 #ifdef VERIFNEGATIF
@@ -395,11 +395,11 @@
 !        WRITE(*,*) 'cv3p_mixing tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         do il=1,ncum    
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-          if ((elij(il,i,j).gt.0.0).and. &
+          IF ((elij(il,i,j).gt.0.0).AND. &
                 (qent_diag(il,i,j).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent_diag(il,i,j), &
                 elij(il,i,j), &
@@ -407,5 +407,5 @@
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
 !             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent_diag(il,i,j), &
@@ -413,5 +413,5 @@
                 xtent_diag(1,il,i,j),xtelij(1,il,i,j),rs(il,j), &
                 0.0,xtres,seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                xtent_diag(ixt,il,i,j)=xtres(ixt)
@@ -433,8 +433,8 @@
 #ifdef ISOVERIF                 
         do il=1,ncum
-        if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.scut) THEN
-        if (iso_eau.gt.0) THEN
+        IF ((i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+           (j.ge.(icb(il)-1)).AND.(j.le.inb(il))) THEN
+        IF (sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.scut) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
              qent(il,i,j),'cv3p_mixing 1889',errmax,errmaxrel)   
@@ -442,5 +442,5 @@
              elij(il,i,j),'cv3p_mixing 1890',errmax,errmaxrel) 
         endif
-        if (iso_hdo.gt.0) THEN
+        IF (iso_hdo.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                  ridicule,deltalim,'cv3p_mixing 1997')         
@@ -461,5 +461,5 @@
 
         endif !IF(sij(il,i,j).gt.0.0)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
         enddo !do il=1,ncum
 #endif
@@ -491,5 +491,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      IF(nent(il,i).eq.0)THEN
+! @      IF(nent(il,i).EQ.0)THEN
 !!!       Ment(il,i,i)=m(il,i)
         Ment(il, i, i) = 1.
@@ -511,5 +511,5 @@
       enddo ! do ixt = 1, ntraciso 
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
              qent(il,i,i),'cv3p_mixing 414',errmax,errmaxrel)
@@ -517,11 +517,11 @@
 #endif
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
 !        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -529,5 +529,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -535,5 +535,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -556,7 +556,7 @@
         endif !if (option_tmin.ge.1) THEN
 #endif
-! endif ISOTRAC
-#endif
-! endif ISO
+! END IF ISOTRAC
+#endif
+! END IF ISO
 
       END IF ! IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
@@ -819,5 +819,5 @@
     cpm = cpd+Qent(il,i,j)*(cpv-cpd)
 
-    IF (cvflag_ice .and. frac(il,j) > 0.) THEN
+    IF (cvflag_ice .AND. frac(il,j) > 0.) THEN
             elij(il, i, j) = Qent(il, i, j) - rs(il, j)
             elij(il, i, j) = elij(il, i, j) + &
@@ -854,5 +854,5 @@
 !            hent(il, i, j) = hent(il, i, j) + (lv(il,j)+(cpd-cpv)*t(il,j))*awat
 ! Mixed draught temperature at level j
-    IF (cvflag_ice .and. frac(il,j) > 0.) THEN
+    IF (cvflag_ice .AND. frac(il,j) > 0.) THEN
           Tm = t(il,j) + (Qent(il,i,j)-elij(il,i,j)-rs(il,j))*rrv*t(il,j)*t(il,j)/(lv(il,j)*rs(il,j))
           hent(il, i, j) = hent(il, i, j) + (lv(il,j)+frac(il,j)*lf(il,j)+(cpd-cpv)*Tm)*awat
@@ -882,7 +882,7 @@
           zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
           zfice(il) = MIN(MAX(zfice(il),0.0),1.0)  
-       if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
-           j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) THEN
+       IF ( i.ge.icb(il) .AND. i.le.inb(il) .AND. &
+           j.ge.(icb(il)-1) .AND. j.le.inb(il) &
+           .AND. lwork(il) ) THEN
         IF(sij(il,i,j).gt.0.0)THEN
           do ixt=1,ntraciso           
@@ -896,5 +896,5 @@
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3p_routines 714')
 #endif          
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
                 qent(il,i,j),'cv3p_routines 718')    
@@ -902,5 +902,5 @@
 #endif              
          endif  !IF(sij(il,i,j).gt.0.0)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
        enddo  !do il=1,ncum
    
@@ -911,5 +911,5 @@
 #endif     
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          do il=1,ncum   
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -933,7 +933,7 @@
 #endif    
         do il=1,ncum
-        if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
-           j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) THEN
+        IF ( i.ge.icb(il) .AND. i.le.inb(il) .AND. &
+           j.ge.(icb(il)-1) .AND. j.le.inb(il) &
+           .AND. lwork(il) ) THEN
         IF(sij(il,i,j).gt.0.0)THEN
          do ixt = 1, ntraciso
@@ -941,9 +941,9 @@
          enddo !do ixt = 1, ntraciso
         endif !IF(sij(il,i,j).gt.0.0)THEN
-        endif !if ( i.ge.icb(il) .and. i.le.inb(il) .and.
+        endif !if ( i.ge.icb(il) .AND. i.le.inb(il) .AND.
         enddo !do il=1,ncum
 
 #ifdef ISOVERIF  
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             do il=1,ncum
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -959,5 +959,5 @@
 !        WRITE(*,*) 'cv3_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         do il=1,ncum    
 !        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
@@ -966,16 +966,16 @@
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,j).gt.0.0).AND.(qent(il,i,j).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
 !             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
@@ -993,5 +993,5 @@
         endif !if (option_tmin.ge.1) THEN
 #endif
-! endif ISOTRAC
+! END IF ISOTRAC
 
 #endif
@@ -1040,7 +1040,7 @@
           zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
           zfice(il) = MIN(MAX(zfice(il),0.0),1.0)  
-       if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
-           j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) THEN
+       IF ( i.ge.icb(il) .AND. i.le.inb(il) .AND. &
+           j.ge.(icb(il)-1) .AND. j.le.inb(il) &
+           .AND. lwork(il) ) THEN
         IF(sij(il,i,j).gt.0.0)THEN
           do ixt=1,ntraciso           
@@ -1056,5 +1056,5 @@
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3p_routines 714')
 #endif          
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
                 qent(il,i,j),'cv3p_routines 718')    
@@ -1064,5 +1064,5 @@
 #endif
          endif  !IF(sij(il,i,j).gt.0.0)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
        enddo  !do il=1,ncum
       
@@ -1077,5 +1077,5 @@
          enddo !do ixt = 1, ntraciso
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(xtelij(iso_eau,il,i,j), &
                 elij(il,i,j),'cv3p_routines 1074')
@@ -1095,5 +1095,5 @@
 #endif   
         
-       if (option_tmin.ge.1) THEN
+       IF (option_tmin.ge.1) THEN
         do il=1,ncum    
 !        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
@@ -1102,16 +1102,16 @@
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,j).gt.0.0).AND.(qent(il,i,j).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
 !             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
@@ -1132,5 +1132,5 @@
 !#ifdef ISOTRAC        
 #ifdef ISOVERIF        
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             do il=1,ncum
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -1198,5 +1198,5 @@
     DO il = 1, ncum
       IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
+! cc     :     .AND. csum(il,i).lt.m(il,i) ) THEN
         nent(il, i) = 0
 ! cc        Ment(il,i,i)=m(il,i)
@@ -1214,5 +1214,5 @@
       enddo
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(xtelij(iso_eau,il,i,j), &
                 elij(il,i,j),'cv3p_routines 1204')
@@ -1222,11 +1222,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
 !        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -1234,5 +1234,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -1240,5 +1240,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) THEN
+            endif ! if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -1275,5 +1275,5 @@
 !jyg!      DO il = 1, ncum
 !jyg!        IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
+!jyg!! cc     :     .AND. csum(il,i).lt.m(il,i) ) THEN
 !jyg!          traent(il, i, i, j) = tra(il, nk(il), j)
 !jyg!        END IF
@@ -1293,5 +1293,5 @@
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
               elij(il,im,jm),'cv3p_mixing 2110',errmax,errmaxrel)
@@ -1312,5 +1312,5 @@
 #ifdef ISOTRAC
         ! seulement à la fin on taggue le condensat
-        if (option_cond.ge.1) THEN
+        IF (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -1318,9 +1318,9 @@
            ! colorier le condensat en un tag spécifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -1339,9 +1339,9 @@
 !           ! colorier le condensat en un tag spécifique
 !           do ixt=niso+1,ntraciso
-!             if (index_zone(ixt).eq.izone_cond) THEN
+!             if (index_zone(ixt).EQ.izone_cond) THEN
 !                xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-!             else !if (index_zone(ixt).eq.izone_cond) THEN
+!             else !if (index_zone(ixt).EQ.izone_cond) THEN
 !                xtclw(ixt,il,im)=0.0
-!             endif !if (index_zone(ixt).eq.izone_cond) THEN
+!             endif !if (index_zone(ixt).EQ.izone_cond) THEN
 !           enddo !do ixt=1,ntraciso      
 !#ifdef ISOVERIF
@@ -1352,5 +1352,5 @@
 !        if (iso_verif_positif_nostop(xtclw(itZonIso( &
 !                izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-!                ,'cv3p_mixing 909').eq.1) THEN
+!                ,'cv3p_mixing 909').EQ.1) THEN
 !               WRITE(*,*) 'i,k=',i,k
 !               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
@@ -1363,5 +1363,5 @@
 !         enddo !do im = 1, nd
 !         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) THEN
+        endif !if (option_tmin.EQ.1) THEN
 #endif
 #endif         
